Rivet::Event Class Reference

`#include <Event.hh>`

## Public Member Functions

const GenEvent & | genEvent () const
| Return the generated event obtained from an external event generator.
double | weight () const
| The weight associated with the event.
template<typename PROJ >
const PROJ & | applyProjection (PROJ &p) const
template<typename PROJ >
const PROJ & | applyProjection (PROJ *pp) const
Standard constructors and destructors.
| Event (const GenEvent &ge)
| The default constructor.
| Event (const Event &e)
| The copy constructor.
| ~Event ()
| The destructor.

## Detailed Description

Rivet wrapper for HepMC event and Projection references.

Event is a concrete class representing an generated event in Rivet. It is constructed given a HepMC::GenEvent, a pointer to which is kept by the Event object throughout its lifetime. The user must therefore make sure that the corresponding HepMC::GenEvent will persist at least as long as the Event object.

In addition to the HepMC::GenEvent object the Event also keeps track of all Projections object which have been applied to the Event so far.

## Member Function Documentation

## applyProjection()

template<typename PROJ >

const PROJ& Rivet::Event::applyProjection | ( | PROJ & | p | ) | const

inline

Add a projection p to this Event. If an equivalent Projection has been applied before, the Projection::project(const Event &) of p is not called and a reference to the previous equivalent projection is returned. If no previous Projection was found, the Projection::project(const Event &) of p is called and a reference to p is returned.

References Rivet::Projection::project().

Referenced by Rivet::ProjectionApplier::ProjectionApplier().

The documentation for this class was generated from the following files:

- include/Rivet/Event.hh
- src/Core/Event.cc